Ir para o conteúdo
ou

Software livre Brasil

 Voltar a Blogosfera d...
Tela cheia Sugerir um artigo

Rafael Gomes: O que faz você ficar vulnerável?

21 de Novembro de 2009, 0:00 , por Software Livre Brasil - 0sem comentários ainda | Ninguém está seguindo este artigo ainda.
Visualizado 490 vezes

Em muitas empresas é comum utilizar produtos prontos em caixas, que têm interface web de fácil manipulação, tudo isso por um preço bem atrativo.

protegidoNa maioria dessas caixas, os fornecedores apenas criam a interface, sendo que o produto em si é um conjunto de softwares de mercado, na maioria dos casos sob a licença open source. Sendo assim o que temos é uma configuração realizada pelo fornecedor para integrar os mesmos, criando um único sistema.

Agora uma pergunta. Esses softwares são constantemente atualizados? De quem é a responsabilidade de atualizar os mesmos? Ficaremos atentos as notificações do fornecedor da caixa ou teremos que buscar quais softwares temos na caixa para então verificar suas notificações?

Esse é um grande problema, pois a atualização de um software específico na caixa nem sempre é possível, em muitos casos nem temos acesso.

Vejamos uma exemplo prático. Há pouco tempo tivemos uma grande falha no protocolo SSL e seus derivados. Sendo assim todos os softwares que usam OpenSSL estão vulneráveis, ou seja, todos as caixas que usam esses softwares também. Vale salientar que a lista de softwares não é pequena (OpenVPN, mod_ssl do apache, OpenSSH e muitos outros)

Na próxima segunda irei verificar junto a meus fornecedores essa questão, afim de estar alinhado com as atualizações dos softwares utilizados. Eu aconselho você a fazer o mesmo. :D

Fonte: Sans Diary


Fonte: http://techfree.com.br/wordpress/2009/11/21/o-que-faz-voce-ficar-vulneravel/

0sem comentários ainda

Enviar um comentário

Os campos são obrigatórios.

Se você é um usuário registrado, pode se identificar e ser reconhecido automaticamente.